Bug 14557 - Add holds count to holds tab
Summary: Add holds count to holds tab
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13851
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-17 11:09 UTC by Kyle M Hall
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Example illustration of holds tab with count (20.38 KB, image/png)
2015-07-17 11:09 UTC, Kyle M Hall
Details
Bug 14557 - Clean up biblio-view-menu.inc (4.67 KB, patch)
2015-07-17 11:39 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14557 - Add holds count to holds tab (3.10 KB, patch)
2015-07-17 11:39 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14557 - Clean up biblio-view-menu.inc (4.72 KB, patch)
2015-07-30 18:39 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14557 - Add holds count to holds tab (3.15 KB, patch)
2015-07-30 18:39 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14557 - Clean up biblio-view-menu.inc (4.78 KB, patch)
2015-08-05 08:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14557 - Add holds count to holds tab (3.21 KB, patch)
2015-08-05 08:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-07-17 11:09:21 UTC
Some librarians have expressed that it would be helpful if the holds tab displayed the count of holds for a record.
Comment 1 Kyle M Hall 2015-07-17 11:09:52 UTC
Created attachment 41058 [details]
Example illustration of holds tab with count
Comment 2 Kyle M Hall 2015-07-17 11:39:35 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-07-17 11:39:41 UTC Comment hidden (obsolete)
Comment 4 Aleisha Amohia 2015-07-22 05:35:17 UTC
I'm not sure if this is anything to do with your patches, but after applying (fixed a merge conflict in biblio-view-menu.inc but otherwise fine) and attempting to go on to a record, i got these errors:

Template process failed: plugin error - Can't locate Koha/Holds.pm in @INC (@INC contains: /home/vagrant/kohaclone /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /home/vagrant/kohaclone/Koha/Template/Plugin/Biblio.pm line 25.
BEGIN failed--compilation aborted at /home/vagrant/kohaclone/Koha/Template/Plugin/Biblio.pm line 25.
Compilation failed in require at /usr/local/lib/perl/5.14.2/Template/Plugins.pm line 206.
Comment 5 Kyle M Hall 2015-07-30 18:39:44 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2015-07-30 18:39:51 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2015-08-05 08:18:26 UTC
I am not a fan of using template plugins for this kind of usage, but I don't see another good and easy way to do this job.

Marked as Passed QA.
Comment 8 Jonathan Druart 2015-08-05 08:19:55 UTC
Created attachment 41369 [details] [review]
Bug 14557 - Clean up biblio-view-menu.inc

Signed-off-by: Jason Robb <jrobb@sekls.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2015-08-05 08:19:59 UTC
Created attachment 41370 [details] [review]
Bug 14557 - Add holds count to holds tab

Some librarians have expressed that it would be helpful if the holds tab
displayed the count of holds for a record.

Test Plan:
1) Apply this patch
2) Note the Holds tab for a record now displays the number of holds for that record

Signed-off-by: Jason Robb <jrobb@sekls.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Tomás Cohen Arazi 2015-08-26 14:12:33 UTC
Patches pushed to master.

Thanks Kyle!